apiVersion: v1
kind: Service
metadata:
    name: tentris-proxy-service
spec:
    selector:
        app: tentris-proxy
    ports:
        - protocol: TCP
          port: 8080  # Port exposed by the Service
          targetPort: 8080  # Port on the pod to forward traffic to
          nodePort: 31003
    type: NodePort  # Default type, can be changed to NodePort or LoadBalancer if needed
